# xStyle custom CSS for Alkemics front

This content aims to change a little the Alkemics interface to help you recognise at glance certains informations. It also refresh the interface a little.

## Give me an example

### Change banners

Yes. If you are on Preprod, the teal navbar will have be enhanced with a light strip.
On Load testing, the stip is purple.
On your Pillar, the stip is cyan.
On Production, the navbar change colors using Salsify colors. The logon footer also work that way.

### Change user icon to a factory or a shop

If you use a Chrome profil for Retailers accounts, you can change the top right user icon to a shop one.
If you use a Chrome profil for Manufacturers, it can change it to a factory.

## How does it works?

Nothing is changed on the software itself: It's your broswer that applies more CSS rules to make it happens. It relies on the Chrome extension xStyle, that make it easy to turn them on or off, just in case it conflict with the website.

1. Install xStyle from the [Chrome Web Store ⎋](https://chrome.google.com/webstore/detail/xstyle/hncgkmhphmncjohllpoleelnibpmccpj)
2. In the extension, create a new Style
3. Copy one of the files' content available here, in the text editor
4. You can use the file name as the style name, or use your own.

Repeate for each styles you want to enables.

## What each styles do?

* `LTG banner.css`: Change the Load Testing banner
* `PLR banner.css`: Change your Pillar banner
* `PPR banner.css`: Change the Preproduction banner

* `Whiter banner.css`: Estetics changes mainly changing text to pure white and the hover and selected looks. You'll like it. Works with the others files.

* `Retailers Sigils.css`: Change the top-right user icon to a Shop one, and make it orange. This can't tell if you'r actually logged as a Retailer or not.
* `Suppliers Sigils.css`: change the top-right user icon to a Factory one, and make it turquoise. This cn't tell if you're actually logged as a Manufacturer or not.  
